<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kursovaya_tp: Student Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kursovaya_tp
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_student-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Student Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa1277a4e71cb3b5f8ca6a4dba91896f5" id="r_aa1277a4e71cb3b5f8ca6a4dba91896f5"><td class="memItemLeft" align="right" valign="top"><a id="aa1277a4e71cb3b5f8ca6a4dba91896f5" name="aa1277a4e71cb3b5f8ca6a4dba91896f5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Student</b> (int health=100, int energy=100, int iq=100, int sense=100, int emotion=100)</td></tr>
<tr class="memdesc:aa1277a4e71cb3b5f8ca6a4dba91896f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Конструктор класса Студент <br /></td></tr>
<tr class="separator:aa1277a4e71cb3b5f8ca6a4dba91896f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46e4ce78ef77c2bb7065c1b29592c8b4" id="r_a46e4ce78ef77c2bb7065c1b29592c8b4"><td class="memItemLeft" align="right" valign="top"><a id="a46e4ce78ef77c2bb7065c1b29592c8b4" name="a46e4ce78ef77c2bb7065c1b29592c8b4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetName</b> (std::string name)</td></tr>
<tr class="memdesc:a46e4ce78ef77c2bb7065c1b29592c8b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменения имя студента <br /></td></tr>
<tr class="separator:a46e4ce78ef77c2bb7065c1b29592c8b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc45fd1ab47bde1ac2f31644faa56d21" id="r_adc45fd1ab47bde1ac2f31644faa56d21"><td class="memItemLeft" align="right" valign="top"><a id="adc45fd1ab47bde1ac2f31644faa56d21" name="adc45fd1ab47bde1ac2f31644faa56d21"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>Name</b> ()</td></tr>
<tr class="memdesc:adc45fd1ab47bde1ac2f31644faa56d21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Возвращение имя студента <br /></td></tr>
<tr class="separator:adc45fd1ab47bde1ac2f31644faa56d21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41d75d57279f22937db8743b5d64f354" id="r_a41d75d57279f22937db8743b5d64f354"><td class="memItemLeft" align="right" valign="top"><a id="a41d75d57279f22937db8743b5d64f354" name="a41d75d57279f22937db8743b5d64f354"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Health</b> ()</td></tr>
<tr class="memdesc:a41d75d57279f22937db8743b5d64f354"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение состояния здоровья студента <br /></td></tr>
<tr class="separator:a41d75d57279f22937db8743b5d64f354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a820a1335ce266055c366d4a1e0284b7e" id="r_a820a1335ce266055c366d4a1e0284b7e"><td class="memItemLeft" align="right" valign="top"><a id="a820a1335ce266055c366d4a1e0284b7e" name="a820a1335ce266055c366d4a1e0284b7e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Energy</b> ()</td></tr>
<tr class="memdesc:a820a1335ce266055c366d4a1e0284b7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменения энергетического состояния студента <br /></td></tr>
<tr class="separator:a820a1335ce266055c366d4a1e0284b7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a348561035fa7b49bafcd1118c76182cb" id="r_a348561035fa7b49bafcd1118c76182cb"><td class="memItemLeft" align="right" valign="top"><a id="a348561035fa7b49bafcd1118c76182cb" name="a348561035fa7b49bafcd1118c76182cb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Iq</b> ()</td></tr>
<tr class="memdesc:a348561035fa7b49bafcd1118c76182cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменения интеллектуальных способностей студента <br /></td></tr>
<tr class="separator:a348561035fa7b49bafcd1118c76182cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37e52e20e1f718286495e06c994bc6bd" id="r_a37e52e20e1f718286495e06c994bc6bd"><td class="memItemLeft" align="right" valign="top"><a id="a37e52e20e1f718286495e06c994bc6bd" name="a37e52e20e1f718286495e06c994bc6bd"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Sense</b> ()</td></tr>
<tr class="memdesc:a37e52e20e1f718286495e06c994bc6bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение душевного состояния студента <br /></td></tr>
<tr class="separator:a37e52e20e1f718286495e06c994bc6bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8751a3fbf38caaf2fc80fb94f8779447" id="r_a8751a3fbf38caaf2fc80fb94f8779447"><td class="memItemLeft" align="right" valign="top"><a id="a8751a3fbf38caaf2fc80fb94f8779447" name="a8751a3fbf38caaf2fc80fb94f8779447"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>Emotion</b> ()</td></tr>
<tr class="memdesc:a8751a3fbf38caaf2fc80fb94f8779447"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение эмоционального состояния студента <br /></td></tr>
<tr class="separator:a8751a3fbf38caaf2fc80fb94f8779447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a559d22e68616a2f4b4d99b5ebba2c73c" id="r_a559d22e68616a2f4b4d99b5ebba2c73c"><td class="memItemLeft" align="right" valign="top"><a id="a559d22e68616a2f4b4d99b5ebba2c73c" name="a559d22e68616a2f4b4d99b5ebba2c73c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>eat</b> ()</td></tr>
<tr class="memdesc:a559d22e68616a2f4b4d99b5ebba2c73c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение параметров при нажатии на кнопку “Eat” <br /></td></tr>
<tr class="separator:a559d22e68616a2f4b4d99b5ebba2c73c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3107fdf6e75990943f2c29584c02193d" id="r_a3107fdf6e75990943f2c29584c02193d"><td class="memItemLeft" align="right" valign="top"><a id="a3107fdf6e75990943f2c29584c02193d" name="a3107fdf6e75990943f2c29584c02193d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>have_party</b> ()</td></tr>
<tr class="memdesc:a3107fdf6e75990943f2c29584c02193d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение параметров при нажатии на кнопку “Have party” <br /></td></tr>
<tr class="separator:a3107fdf6e75990943f2c29584c02193d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad37decdafc35070943409200ae074a45" id="r_ad37decdafc35070943409200ae074a45"><td class="memItemLeft" align="right" valign="top"><a id="ad37decdafc35070943409200ae074a45" name="ad37decdafc35070943409200ae074a45"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>study</b> ()</td></tr>
<tr class="memdesc:ad37decdafc35070943409200ae074a45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение параметров при нажатии на кнопку “Study” <br /></td></tr>
<tr class="separator:ad37decdafc35070943409200ae074a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9dddeaf51372ede18adbd62e46d617" id="r_a1d9dddeaf51372ede18adbd62e46d617"><td class="memItemLeft" align="right" valign="top"><a id="a1d9dddeaf51372ede18adbd62e46d617" name="a1d9dddeaf51372ede18adbd62e46d617"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sleep</b> ()</td></tr>
<tr class="memdesc:a1d9dddeaf51372ede18adbd62e46d617"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение параметров при нажатии на кнопку “Sleep” <br /></td></tr>
<tr class="separator:a1d9dddeaf51372ede18adbd62e46d617"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85f39bb096babfdffae0e41bad6d88e1" id="r_a85f39bb096babfdffae0e41bad6d88e1"><td class="memItemLeft" align="right" valign="top"><a id="a85f39bb096babfdffae0e41bad6d88e1" name="a85f39bb096babfdffae0e41bad6d88e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>watch_tv</b> ()</td></tr>
<tr class="memdesc:a85f39bb096babfdffae0e41bad6d88e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение параметров при нажатии на кнопку “Watch TV” <br /></td></tr>
<tr class="separator:a85f39bb096babfdffae0e41bad6d88e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af55184bcefb72bf62f4c70d0f16689e2" id="r_af55184bcefb72bf62f4c70d0f16689e2"><td class="memItemLeft" align="right" valign="top"><a id="af55184bcefb72bf62f4c70d0f16689e2" name="af55184bcefb72bf62f4c70d0f16689e2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_alive</b> ()</td></tr>
<tr class="memdesc:af55184bcefb72bf62f4c70d0f16689e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Проверка поля состояния здоровья студента <br /></td></tr>
<tr class="separator:af55184bcefb72bf62f4c70d0f16689e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="student__simulator_8h_source.html">student_simulator.h</a></li>
<li><b>student_simulator.cpp</b></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8
</small></address>
</body>
</html>
